Bug 127321 - filesize updates steal focus from rename input boxes in same folder
Summary: filesize updates steal focus from rename input boxes in same folder
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: nautilus   
(Show other bugs)
Version: 2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Alexander Larsson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-07-06 17:13 UTC by Zack Cerza
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-09 20:20:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Zack Cerza 2004-07-06 17:13:59 UTC
Description of problem:
When a file is being continuously modified (f.e. while downloading),
Nautilus updates the displayed filesize at a certain interval. The
problem is that when the filesize is updated while the user is in the
process of renaming a file, focus is stolen from the input box and any
changes are prematurely committed.

Version-Release number of selected component (if applicable):
2.6.0

How reproducible:
Always

Steps to Reproduce:
1. Start downloading a file (f.e.
http://osys.grm.hia.no/bttracker/files/GUADEC2004-Keynote-Dr_Edgar_Villanueva_Nunez-vorbis-22kHz.ogg
using Epiphany)
2. Open the destination folder in Nautilus
3. Right-click on any file and go to Rename
4. Wait for the next filesize update
  
Actual results:
The update steals focus, effectively committing any changes you made
to the filename.

Expected results:
The rename input box should maintain focus until the user commits or
cancels changes.

Additional info:

Comment 1 Zack Cerza 2004-07-09 20:20:42 UTC
http://bugzilla.gnome.org/show_bug.cgi?id=87701


Note You need to log in before you can comment on or make changes to this bug.